Subject: Re: Could /Documentation/technical/commit-graph.txt be relicensed under a permissive license?

From: Junio C Hamano <[email-masked]>
Date: Tue, 10 Dec 2019 14:20:21 -0800

Jeff King <[email-masked]> writes:

>> What _could_ be problematic is repeating the documentation directly
>> in another permissive-licensed repository.
>
> That's my understanding as well. That said, I would not be opposed to
> some kind of statement in the documentation making our view explicit.

In principle, I do not mind that either.

But quite honestly, I cannot say that I am (or "want to be") all
that sympathetic.

It takes me some effort to convince myself that it is worth for us
to spend extra brain cycles even thinking about making such
statements, when those who would benefit the most from such an
effort are the ones who call the software we work on "contamination"
and proclaim that they cannot be bothered to spend the necessary
effort to comply with the license as a waste of time.

I'd be more receptive to those who are more friendly and
respectful---these things tend to be mutual.